#include<bits/stdc++.h>
#define MAXN (int)1e5+10
#define MAXM (int)1e4+10
using namespace std;
int n, m;
int niz[MAXN];
int a[MAXM];
int res = INT_MAX;
void oboji(int i)
{
    if(i==n)
    {
        int res1=0;
        for(int j=0;j<m;j++)res1+=a[j]*(n-a[j]);
        res=min(res, res1);
        return;
    }
    for(int j=0;j<niz[i];j++)a[j]++;
    oboji(i+1);
    for(int j=0;j<niz[i];j++)a[j]--;
    for(int j=niz[i];j<m;j++)a[j]++;
    oboji(i+1);
    for(int j=niz[i];j<m;j++)a[j]--;
}
int main()
{
    cin >> n >> m;
    for(int i=0;i<n;i++)cin >> niz[i];
    oboji(0);
    cout << res;
    return 0;
}